## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanVector.hpp File Reference

Include dependency graph for XalanVector.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XalanVector

## Defines

- #define XALANVECTOR_HEADER_GUARD_1357924680

## Functions

- template<class Type> void swap (XalanVector< Type > &theLHS, XalanVector< Type > &theRHS)
- template<class Type> bool operator== (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator!= (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator< (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator<= (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator> (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)
- template<class Type> bool operator>= (const XalanVector< Type > &theLHS, const XalanVector< Type > &theRHS)

## Define Documentation

#define XALANVECTOR_HEADER_GUARD_1357924680

| Author: David Bertoni (david_n_bertoni@us.ibm.com) Matthew Hoyt (mhoyt@ca.ibm.com)

## Function Documentation

template<class Type>
bool operator!= | ( | const XalanVector< Type > & | theLHS,
|  | const XalanVector< Type > & | theRHS
| ) |

template<class Type>
bool operator< | ( | const XalanVector< Type > & | theLHS,
|  | const XalanVector< Type > & | theRHS
| ) |

template<class Type>
bool operator<= | ( | const XalanVector< Type > & | theLHS,
|  | const XalanVector< Type > & | theRHS
| ) |

template<class Type>
bool operator== | ( | const XalanVector< Type > & | theLHS,
|  | const XalanVector< Type > & | theRHS
| ) |

template<class Type>
bool operator> | ( | const XalanVector< Type > & | theLHS,
|  | const XalanVector< Type > & | theRHS
| ) |

template<class Type>
bool operator>= | ( | const XalanVector< Type > & | theLHS,
|  | const XalanVector< Type > & | theRHS
| ) |

template<class Type>
void swap | ( | XalanVector< Type > & | theLHS,
|  | XalanVector< Type > & | theRHS
| ) |

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.